tigase.cluster.api

## Class CommandListenerAbstract

- java.lang.Object
- - tigase.cluster.api.CommandListenerAbstract

- All Implemented Interfaces:
    Comparable<CommandListener>, CommandListener
  Direct Known Subclasses:
    PacketForwardCmd

      public abstract class CommandListenerAbstract
      extends Object
      implements CommandListener

  Author:
    kobit

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CommandListenerAbstract(String name)` Constructs ...

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `compareTo(CommandListener cl)` Method description
    `boolean` | `equals(Object cl)` Method description
    `String` | `getName()` Method description
    `void` | `getStatistics(StatisticsList list)` Method description
    `static long` | `getSyncInTraffic()` Method description
    `static long` | `getSyncOutTraffic()` Method description
    `int` | `hashCode()` Method description
    `void` | `incSyncInTraffic()` Method description
    `void` | `incSyncOutTraffic()` Method description
    `void` | `setName(String name)` Method description

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface tigase.cluster.api.CommandListener

      `executeCommand`

- - ### Constructor Detail

    - #### CommandListenerAbstract

          public CommandListenerAbstract(String name)

      Constructs ...
      Parameters:
        `name` -

  - ### Method Detail

    - #### compareTo

          public int compareTo(CommandListener cl)

      Method description
      Specified by:
        `compareTo` in interface `Comparable<CommandListener>`
      Parameters:
        `cl` -
      Returns:
        a value of `int`

    - #### equals

          public boolean equals(Object cl)

      Method description
      Overrides:
        `equals` in class `Object`
      Parameters:
        `cl` -
      Returns:
        a value of `boolean`

    - #### hashCode

          public int hashCode()

      Method description
      Overrides:
        `hashCode` in class `Object`
      Returns:
        a value of `int`

    - #### incSyncInTraffic

          public void incSyncInTraffic()

      Method description

    - #### incSyncOutTraffic

          public void incSyncOutTraffic()

      Method description

    - #### getName

          public String getName()

      Method description
      Specified by:
        `getName` in interface `CommandListener`
      Returns:
        a value of `String`

    - #### getStatistics

          public void getStatistics(StatisticsList list)

      Method description
      Specified by:
        `getStatistics` in interface `CommandListener`
      Parameters:
        `list` -

    - #### getSyncInTraffic

          public static long getSyncInTraffic()

      Method description
      Returns:
        a value of `long`

    - #### getSyncOutTraffic

          public static long getSyncOutTraffic()

      Method description
      Returns:
        a value of `long`

    - #### setName

          public final void setName(String name)

      Method description
      Specified by:
        `setName` in interface `CommandListener`
      Parameters:
        `name` -

Copyright © 2014 "Tigase, Inc.". All rights reserved.